com.h3c.util.pkt

## Enum DhcpOption.MessageType

- java.lang.Object
- - java.lang.Enum<DhcpOption.MessageType>
  - - com.h3c.util.pkt.DhcpOption.MessageType

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<DhcpOption.MessageType>
  Enclosing class:
    DhcpOption

      public static enum DhcpOption.MessageType
      extends Enum<DhcpOption.MessageType>
      implements ProtocolEnum

  Message types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACK` Acknowledge message.
    `BULK_LEASE_QUERY` Bulk Lease Query message.
    `DECLINE` Decline message.
    `DISCOVER` Discover message.
    `FORCE_RENEW` Force Renew message.
    `INFORM` Inform message.
    `NAK` Negative Acknowledgment message.
    `OFFER` Offer message.
    `PLEASE_ACTIVE` Please Active message.
    `PLEASE_QUERY` Please Query message.
    `PLEASE_QUERY_DONE` Please Query Done message.
    `PLEASE_UNASSIGNED` Please Unassigned message.
    `PLEASE_UNKNOWN` Please Unknown message.
    `RELEASE` Release message.
    `REQ` Request message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static DhcpOption.MessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DhcpOption.MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISCOVER

          public static final DhcpOption.MessageType DISCOVER

      Discover message.

    - #### OFFER

          public static final DhcpOption.MessageType OFFER

      Offer message.

    - #### REQ

          public static final DhcpOption.MessageType REQ

      Request message.

    - #### DECLINE

          public static final DhcpOption.MessageType DECLINE

      Decline message.

    - #### ACK

          public static final DhcpOption.MessageType ACK

      Acknowledge message.

    - #### NAK

          public static final DhcpOption.MessageType NAK

      Negative Acknowledgment message.

    - #### RELEASE

          public static final DhcpOption.MessageType RELEASE

      Release message.

    - #### INFORM

          public static final DhcpOption.MessageType INFORM

      Inform message.

    - #### FORCE_RENEW

          public static final DhcpOption.MessageType FORCE_RENEW

      Force Renew message.

    - #### PLEASE_QUERY

          public static final DhcpOption.MessageType PLEASE_QUERY

      Please Query message.

    - #### PLEASE_UNASSIGNED

          public static final DhcpOption.MessageType PLEASE_UNASSIGNED

      Please Unassigned message.

    - #### PLEASE_UNKNOWN

          public static final DhcpOption.MessageType PLEASE_UNKNOWN

      Please Unknown message.

    - #### PLEASE_ACTIVE

          public static final DhcpOption.MessageType PLEASE_ACTIVE

      Please Active message.

    - #### BULK_LEASE_QUERY

          public static final DhcpOption.MessageType BULK_LEASE_QUERY

      Bulk Lease Query message.

    - #### PLEASE_QUERY_DONE

          public static final DhcpOption.MessageType PLEASE_QUERY_DONE

      Please Query Done message.

  - ### Method Detail

    - #### values

          public static DhcpOption.MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DhcpOption.MessageType c : DhcpOption.MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DhcpOption.MessageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.